
D4Science Infrastructure - Incident #1291

Notification with null sender

Nov 04, 2015 09:57 AM - Leonardo Candela

Status: Closed Start date: Nov 04, 2015

Priority: High Due date:  

Assignee: Massimiliano Assante % Done: 100%

Category: Application Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

This morning I received the following email message from the i-marine portal 

Subject: null sent you a message

Message body: 

Dear Leonardo,

null sent you a message with subject: PSC Approval of D1.1 required before submission to EC Go to Message

The link associated with the Go to Message is https://i-marine.d4science.org/group/data-e-infrastructure-gateway/messages

History

#1 - Nov 04, 2015 10:03 AM - Francesco Mangiacrapa

- Assignee changed from Francesco Mangiacrapa to Massimiliano Assante

#2 - Nov 04, 2015 10:47 AM - Massimiliano Assante

@leonardo.candela@isti.cnr.it: has the message a sender or the sender is null?  

#3 - Nov 04, 2015 11:03 AM - Massimiliano Assante

- File Screen Shot 2015-11-04 at 11.58.17.png added

- Assignee changed from Massimiliano Assante to Francesco Mangiacrapa

Please check what happens in the logs,

the problem is that 2 users (in a time frame of 2 minutes) have sent a message with no session information.

The mail widget does not allow to send a message if the session is null, so we should check what happened in the logs.

To do so please see the screenshot attached, The message of 11.45 is from nadia (username) the one of 11.47 is from anna (username) I know this

because of the message body text (they signed it in the text

#4 - Nov 04, 2015 11:34 AM - Leonardo Candela

- File Screen Shot 2015-11-04 at 12.32.05.png added

My feeling is that there is something weird, in the attachment you can see that I have received a message with Sender Gianpaolo Coro that is

signed by Jessica Michel. 

 OK thanks for the info, just found out that in that release that user (gianpaolo) was set when the session was expiring (don 't know why). So when

Jessica sent the message her session was expired and no component (not the Messages app nor the WsMail Widget) has controlled that.

The new version of the WsMailWIdget does not allow this to happen. However, the strange thing is that after Jessica's message the 2 replies were

without sender too. So this is why we should check the logs in this case. It might be probably due to the previous error.

#5 - Nov 04, 2015 12:08 PM - Massimiliano Assante

- Priority changed from Normal to High

- % Done changed from 0 to 30
#7 - Nov 04, 2015 12:14 PM - Massimiliano Assante

- Status changed from New to Closed

- % Done changed from 30 to 100

As soon as we deploy 3.9.0 in production the issue is fixed

#8 - Nov 04, 2015 05:18 PM - Francesco Mangiacrapa

- Assignee changed from Francesco Mangiacrapa to Massimiliano Assante

Files

Screen Shot 2015-11-04 at 11.58.17.png 35.6 KB Nov 04, 2015 Massimiliano Assante

Screen Shot 2015-11-04 at 12.32.05.png 332 KB Nov 04, 2015 Leonardo Candela
